コンテンツへスキップ

V1.0

髪タイプ分析 API は、3 方向からの入力(正面、右、左)を使用して画像内の髪タイプを検出します。

髪タイプ分析タスクを実行します。

リクエスト

タスクステータスの確認については、ポーリングガイドを参照してください。

セキュリティ
BearerAuthenticationV2
ボディapplication/json必須
Any of:
src_file_urlsArray of strings, = 3 items必須

ファイルアップロード API からのファイル URL。ソース画像のシーケンスに対するファイル ID は 'frontFace'、'rightFace'、'leftFace' です。'src_file_urls' または 'src_file_ids' のいずれかを指定する必要があります。

例:
[ "https://example.com/selfie.jpg", "https://example.com/selfie.jpg", "https://example.com/selfie.jpg" ]
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-type-detection \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_urls": [
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg"
    ]
  }'

レスポンス

タスクの実行に成功しました

ボディapplication/json
statusinteger

レスポンスステータス

例:200
dataobject
レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }